// OpenGLを使って長方形描画.
void box( float x1, float y1, float x2, float y2);
void texbox( float x1, float y1, float x2, float y2);
void texbox2( float pos[2][2], float tex[2][2]);

// BMPテクスチャ読み込み関数. (※正方形画像で一辺が2^n乗サイズのみ!)
int bmp_read( GLuint texid, const char *file, GLuint mode=GL_RGB);

// 画像上のピクセル位置をテクスチャ座標などに変換.
void bmp2pos( float pos[2][2], const size_t bmp[2][2], size_t length );
void pos2tex( float tex[2][2], const float pos[2][2], size_t length );
void bmp2tex( float tex[2][2], const size_t bmp[2][2], size_t length );
void centerize_pos( float base[2], float pos[2][2] );
void multiply_pos( float pos[2][2], float rate );

// ベクトル演算など.
void normalize( float ret[3], float val[3] );
void multiply( float val[3], float rate );
void crossproduct( float axis[3], float dir1[3], float dir2[3] );
